// Package util ...
//
// Description : util ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2023-08-10 14:34
package util

var (
	// UserAgent ...
	UserAgent *userAgent
	// Browser ...
	Browser *browser
	// IP ...
	IP *ip
	// URL ...
	URL *ownURL
	// JWT ...
	JWT *ownJwt
)

func init() {
	UserAgent = &userAgent{
		list: defaultUserAgentList,
	}
	Browser = &browser{
		commandTable: map[string]string{
			"windows": "start",
			"darwin":  "open",
			"linux":   "xdg-open",
		},
	}
	IP = &ip{}
	URL = &ownURL{}
}
